Test Postgres Plugin Connection - SuperAI Flows
Test Postgres Plugin Connection
cURL
curl --request POST \
--url https://flows.super.ai/api/integrations/plugins/postgres/test-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'\
Python
import requests
url = "https://flows.super.ai/api/integrations/plugins/postgres/test-connection"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://flows.super.ai/api/integrations/plugins/postgres/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Error Response
422
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Authorizations
X-API-Key
- Type:
string - Location:
header - Required: Yes
- Description: API key authentication. Include your API key in the
X-API-Keyheader as:X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
Authorization
- Type:
string - Location:
header - Required: Yes
- Description: JWT Bearer token authentication. Include your access token in the
Authorizationheader as:Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Body
- Type:
application/json - Description: The body is of type
Connection Params · object.
Response
- Status Code: 200
- Type:
application/json - Description: Successful Response.